Query current market trading hours
This endpoint provides information about the current market trading hours.
Market Trading Hours
- Trading Hours: 24/7 (24 hours a day, 7 days a week)
- No market closure: Continuous trading throughout the year, including holidays
HTTP Request
bash
GET /market/v1/{market}/trading-sessionsRequest Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| market | enum | 是 | Market code. See supported values in the market enum definition. |
cURL Example
bash
curl --location --request GET '{$base_url}/market/v1/dcex/trading-sessions' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1746774142003'Successful Response Format
Description of the response data fields.
| Name | Type | Description |
|---|---|---|
| market | ENUM | Market code. |
| is_open | BOOLEAN | Is market open |
| is_trading_day | BOOLEAN | Is trading day |
| current_time | LONG | Current time,seconds timestamp |
| current_session_start | LONG | Current session start time,seconds timestamp |
| current_session_end | LONG | Current session end time,seconds timestamp |
| current_session | ENUM | Current session,See supported values in the session enum definition. |
| next_session_start | LONG | Next session start time,seconds timestamp (only returned when current_session is "closed") |
| next_session_end | LONG | Next session end time,seconds timestamp (only returned when current_session is "closed") |
| next_session | ENUM | Next session,See supported values in the session enum definition (only returned when current_session is "closed") |
Sample Success Response
Digital currency trading hours:
json
{
"code": 0,
"data": {
"market": "dcex",
"is_open": true,
"is_trading_day": true,
"current_time": 1751362846,
"current_session_start": 1751328000,
"current_session_end": 1751414399,
"current_session": "trading"
}
}Sample Error Response
json
{
"code": 500,
"message": "Internal Service Error",
"details": ""
}
